Index: java/main/src/main/java/com/framsticks/gui/windows/console/ConsoleFrame.java
===================================================================
--- java/main/src/main/java/com/framsticks/gui/windows/console/ConsoleFrame.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/gui/windows/console/ConsoleFrame.java	(revision 84)
@@ -3,6 +3,6 @@
 import com.framsticks.communication.*;
 import com.framsticks.gui.ImageProvider;
-import com.framsticks.util.Pair;
-import com.framsticks.util.Strings;
+import com.framsticks.util.lang.Pair;
+import com.framsticks.util.lang.Strings;
 import org.apache.log4j.Logger;
 
@@ -19,19 +19,19 @@
 public class ConsoleFrame extends JFrame {
 
-	private static final Logger LOGGER = Logger.getLogger(ConsoleFrame.class.getName());
-
-	/**
-     * Painter coloring manager responses before display.
-     */
-    private final ConsolePainter consolePainter;
-
-    /**
-     * Text field for typing commands.
-     */
-    private final JTextField commandLine;
-	/**
-     * Reference to connection.
-     */
-    protected final ClientConnection connection;
+	private static final Logger log = Logger.getLogger(ConsoleFrame.class.getName());
+
+	/**
+	 * Painter coloring manager responses before display.
+	 */
+	private final ConsolePainter consolePainter;
+
+	/**
+	 * Text field for typing commands.
+	 */
+	private final JTextField commandLine;
+	/**
+	 * Reference to connection.
+	 */
+	protected final ClientConnection connection;
 
 	/**
@@ -52,76 +52,76 @@
 
 	/**
-     * Default constructor creates frame with console.
-     */
-    @SuppressWarnings("unchecked")
-    public ConsoleFrame(ClientConnection connection) {
-	    this.connection = connection;
-        this.setTitle("Console");
-        this.setLayout(new BorderLayout());
-        this.setSize(new Dimension(440, 400));
-        this.setMinimumSize(new Dimension(440, 400));
-        this.setIconImage(ImageProvider.loadImage(ImageProvider.LOGO).getImage());
-        JFrame.setDefaultLookAndFeelDecorated(true);
-
-	    JTextPane text = new JTextPane();
-        consolePainter = new ConsolePainter(text);
-
-        text.setEditable(false);
-        final JScrollPane scrollText = new JScrollPane(text);
-        scrollText.setBorder(BorderFactory.createEtchedBorder());
-
-        JPanel scrollPanel = new JPanel();
-        scrollPanel.setLayout(new BorderLayout());
-        scrollPanel.add(scrollText, BorderLayout.CENTER);
-        scrollPanel.setBorder(BorderFactory.createEmptyBorder(7, 7, 7, 7));
-
-        commandLine = new JTextField();
-
-        commandLine.addKeyListener(new KeyListener() {
-	        @Override
-	        public void keyTyped(KeyEvent e) {
-
-	        }
-
-	        @Override
-	        public void keyPressed(KeyEvent e) {
-		        onKeyPressed(e.getKeyCode());
-	        }
-
-	        @Override
-	        public void keyReleased(KeyEvent e) {
-	        }
-        });
-
-        commandLine.setFocusTraversalKeys(
-		        KeyboardFocusManager.FORWARD_TRAVERSAL_KEYS,
-		        Collections.EMPTY_SET);
-
-        this.addWindowListener(new WindowAdapter() {
-            public void windowActivated(WindowEvent e) {
-                commandLine.requestFocusInWindow();
-            }
-        });
-
-	    JButton sendButton = new JButton("Send");
-        sendButton.addActionListener(new ActionListener() {
-
-	        public void actionPerformed(final ActionEvent e) {
-		        buttonSendAction();
-	        }
-
-        });
-
-        final Box cmdBox = new Box(BoxLayout.LINE_AXIS);
-        cmdBox.add(commandLine);
-        cmdBox.add(Box.createHorizontalStrut(10));
-        cmdBox.add(sendButton);
-        cmdBox.setBorder(BorderFactory.createEmptyBorder(0, 7, 7, 7));
-
-        this.getContentPane().add(scrollPanel, BorderLayout.CENTER);
-        this.getContentPane().add(cmdBox, BorderLayout.PAGE_END);
-        this.setVisible(false);
-
-    }
+	 * Default constructor creates frame with console.
+	 */
+	@SuppressWarnings("unchecked")
+	public ConsoleFrame(ClientConnection connection) {
+		this.connection = connection;
+		this.setTitle("Console");
+		this.setLayout(new BorderLayout());
+		this.setSize(new Dimension(440, 400));
+		this.setMinimumSize(new Dimension(440, 400));
+		this.setIconImage(ImageProvider.loadImage(ImageProvider.LOGO).getImage());
+		JFrame.setDefaultLookAndFeelDecorated(true);
+
+		JTextPane text = new JTextPane();
+		consolePainter = new ConsolePainter(text);
+
+		text.setEditable(false);
+		final JScrollPane scrollText = new JScrollPane(text);
+		scrollText.setBorder(BorderFactory.createEtchedBorder());
+
+		JPanel scrollPanel = new JPanel();
+		scrollPanel.setLayout(new BorderLayout());
+		scrollPanel.add(scrollText, BorderLayout.CENTER);
+		scrollPanel.setBorder(BorderFactory.createEmptyBorder(7, 7, 7, 7));
+
+		commandLine = new JTextField();
+
+		commandLine.addKeyListener(new KeyListener() {
+			@Override
+			public void keyTyped(KeyEvent e) {
+
+			}
+
+			@Override
+			public void keyPressed(KeyEvent e) {
+				onKeyPressed(e.getKeyCode());
+			}
+
+			@Override
+			public void keyReleased(KeyEvent e) {
+			}
+		});
+
+		commandLine.setFocusTraversalKeys(
+				KeyboardFocusManager.FORWARD_TRAVERSAL_KEYS,
+				Collections.EMPTY_SET);
+
+		this.addWindowListener(new WindowAdapter() {
+			public void windowActivated(WindowEvent e) {
+				commandLine.requestFocusInWindow();
+			}
+		});
+
+		JButton sendButton = new JButton("Send");
+		sendButton.addActionListener(new ActionListener() {
+
+			public void actionPerformed(final ActionEvent e) {
+				buttonSendAction();
+			}
+
+		});
+
+		final Box cmdBox = new Box(BoxLayout.LINE_AXIS);
+		cmdBox.add(commandLine);
+		cmdBox.add(Box.createHorizontalStrut(10));
+		cmdBox.add(sendButton);
+		cmdBox.setBorder(BorderFactory.createEmptyBorder(0, 7, 7, 7));
+
+		this.getContentPane().add(scrollPanel, BorderLayout.CENTER);
+		this.getContentPane().add(cmdBox, BorderLayout.PAGE_END);
+		this.setVisible(false);
+
+	}
 
 	public void setCommandLine(String command) {
@@ -130,55 +130,55 @@
 
 
-    /**
-     * Shows console frame, sets location relative to parent.
-     *
-     * @param parent Frame relative to which console window will be localized.
-     */
-    public void show(JFrame parent) {
-        final Point parentLocation = parent.getLocation();
-        final Point location = new Point(parentLocation.x + 20, parentLocation.y + 20);
-        this.setLocation(location);
-        this.setVisible(true);
-    }
-
-    /**
-     * Adds query to console window.
-     *
-     * @param line Line of string query.
-     */
-    private void addQuery(String line) {
-        consolePainter.userMsg(line + "\n");
-    }
-
-
-    /**
-     * Sends message to manager and adds message to console frame.
-     */
-    public void buttonSendAction() {
-        if (!connection.isConnected()) {
-            JOptionPane.showMessageDialog(this, "missing connection to manager");
-            return;
-        }
-        String commandText = commandLine.getText();
-	    Pair<String, String> command = Strings.splitIntoPair(commandText, ' ', "\n");
-        Request request = Request.createRequestByTypeString(command.first);
-        if (request == null) {
-            LOGGER.warn("not a valid request: " + commandText);
-            return;
-        }
-        request.parseRest(command.second);
-
-	    addQuery(commandText);
-	    addSentMessage(commandText);
-	    commandLine.setText("");
-        connection.send(request, new ResponseCallback() {
-            @Override
-            public void process(Response response) {
-                for (File f : response.getFiles()) {
-                    consolePainter.paintMessage(f);
-                }
-            }
-        });
-    }
+	/**
+	 * Shows console frame, sets location relative to parent.
+	 *
+	 * @param parent Frame relative to which console window will be localized.
+	 */
+	public void show(JFrame parent) {
+		final Point parentLocation = parent.getLocation();
+		final Point location = new Point(parentLocation.x + 20, parentLocation.y + 20);
+		this.setLocation(location);
+		this.setVisible(true);
+	}
+
+	/**
+	 * Adds query to console window.
+	 *
+	 * @param line Line of string query.
+	 */
+	private void addQuery(String line) {
+		consolePainter.userMsg(line + "\n");
+	}
+
+
+	/**
+	 * Sends message to manager and adds message to console frame.
+	 */
+	public void buttonSendAction() {
+		if (!connection.isConnected()) {
+			JOptionPane.showMessageDialog(this, "missing connection to manager");
+			return;
+		}
+		String commandText = commandLine.getText();
+		Pair<String, String> command = Strings.splitIntoPair(commandText, ' ', "\n");
+		Request request = Request.createRequestByTypeString(command.first);
+		if (request == null) {
+			log.warn("not a valid request: " + commandText);
+			return;
+		}
+		request.parseRest(command.second);
+
+		addQuery(commandText);
+		addSentMessage(commandText);
+		commandLine.setText("");
+		connection.send(request, new ResponseCallback() {
+			@Override
+			public void process(Response response) {
+				for (File f : response.getFiles()) {
+					consolePainter.paintMessage(f);
+				}
+			}
+		});
+	}
 
 	private void onKeyPressed(int keyCode) {
Index: java/main/src/main/java/com/framsticks/gui/windows/console/ConsolePainter.java
===================================================================
--- java/main/src/main/java/com/framsticks/gui/windows/console/ConsolePainter.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/gui/windows/console/ConsolePainter.java	(revision 84)
@@ -2,6 +2,5 @@
 
 import com.framsticks.communication.File;
-import com.framsticks.params.SourceInterface;
-import org.apache.log4j.Logger;
+// import org.apache.log4j.Logger;
 
 import java.awt.Color;
@@ -16,17 +15,17 @@
  */
 public class ConsolePainter {
-	private static final Logger LOGGER = Logger.getLogger(ConsolePainter.class.getName());
+	// private static final Logger log = Logger.getLogger(ConsolePainter.class.getName());
 
 	private Document doc;
 	private JTextPane textPane;
-	private Color c1 = new Color(192, 0, 0);
-	private Color c2 = new Color(84, 141, 212);
-	private Color c3 = new Color(118, 146, 60);
-	private Color c4 = new Color(0, 0, 128);
+	// private Color c1 = new Color(192, 0, 0);
+	// private Color c2 = new Color(84, 141, 212);
+	// private Color c3 = new Color(118, 146, 60);
+	// private Color c4 = new Color(0, 0, 128);
 	private SimpleLinePainter linePainter1;
 	private SimpleLinePainter linePainter2;
 	private final SimpleAttributeSet set = new SimpleAttributeSet();
 
-	
+
 	/**
 	 * Constructor sets reference to pane with text.
@@ -47,6 +46,6 @@
 
 		String line;
-		Boolean boldNextId = false;
-		Boolean doNotPaint = false;
+		// Boolean boldNextId = false;
+		// Boolean doNotPaint = false;
 
 		while ((line = file.getContent().readLine()) != null) {
@@ -113,5 +112,5 @@
 
 		scrollDown();
-		
+
 	}
 
@@ -166,16 +165,16 @@
 	 * @return First word in text line (with space char).
 	 */
-	private String firstWord(String line) {
-		String result;
-		int spaceIndex = line.indexOf(' ');
-
-		if (spaceIndex == -1) {
-			result = line;
-		} else {
-			result = line.substring(0, spaceIndex + 1);
-		}
-
-		return result;
-	}
+	// private String firstWord(String line) {
+	// 	String result;
+	// 	int spaceIndex = line.indexOf(' ');
+
+	// 	if (spaceIndex == -1) {
+	// 		result = line;
+	// 	} else {
+	// 		result = line.substring(0, spaceIndex + 1);
+	// 	}
+
+	// 	return result;
+	// }
 
 	/**
Index: java/main/src/main/java/com/framsticks/hosting/InstanceClient.java
===================================================================
--- java/main/src/main/java/com/framsticks/hosting/InstanceClient.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/hosting/InstanceClient.java	(revision 84)
@@ -9,5 +9,5 @@
 import com.framsticks.parsers.Savers;
 import com.framsticks.core.LocalInstance;
-import com.framsticks.util.Future;
+import com.framsticks.util.dispatching.Future;
 
 import java.net.Socket;
@@ -21,74 +21,74 @@
 public class InstanceClient implements RequestHandler {
 
-    protected final LocalInstance instance;
-    protected final ServerConnection connection;
+	protected final LocalInstance instance;
+	protected final ServerConnection connection;
 
-    public InstanceClient(LocalInstance instance, Socket socket) {
-        this.instance = instance;
-        connection = new ServerConnection(socket, this);
-        connection.start();
-    }
+	public InstanceClient(LocalInstance instance, Socket socket) {
+		this.instance = instance;
+		connection = new ServerConnection(socket, this);
+		connection.start();
+	}
 
-    @Override
-    public String toString() {
-        return instance + "|" + connection.toString();
-    }
+	@Override
+	public String toString() {
+		return instance + "|" + connection.toString();
+	}
 
 
-    @Override
-    public void handle(final ApplicationRequest request, final ResponseCallback responseCallback) {
-        instance.invokeLater(new Runnable() {
-            @Override
-            public void run() {
-                final Path path = new Path(instance, request.getPath());
-                if (!path.isResolved(request.getPath())) {
-                    responseCallback.process(new Response(false, "\"invalid path\"", null));
-                    return;
-                }
-                if (request instanceof GetRequest) {
-                    instance.findInfo(path, new Future<FramsClass>() {
-                        @Override
-                        public void result(FramsClass result, Exception e) {
-                            if (result == null) {
-                                responseCallback.process(new Response(false, "\"failed to find info for access bind\"", null));
-                                return;
-                            }
-                            List<File> files = new LinkedList<File>();
-                            AccessInterface access = instance.bindAccess(path);
+	@Override
+	public void handle(final ApplicationRequest request, final ResponseCallback responseCallback) {
+		instance.invokeLater(new Runnable() {
+			@Override
+			public void run() {
+				final Path path = instance.getPath(request.getPath());
+				if (!path.isResolved(request.getPath())) {
+					responseCallback.process(new Response(false, "\"invalid path\"", null));
+					return;
+				}
+				if (request instanceof GetRequest) {
+					instance.findInfo(path, new Future<FramsClass>() {
+						@Override
+						public void result(FramsClass result, Exception e) {
+							if (result == null) {
+								responseCallback.process(new Response(false, "\"failed to find info for access bind\"", null));
+								return;
+							}
+							List<File> files = new LinkedList<File>();
+							AccessInterface access = instance.bindAccess(path);
 
-                            if (access == null) {
+							if (access == null) {
 
-                                responseCallback.process(new Response(false, "\"failed to bind access\"", null));
-                                return;
-                            }
-                            ListSink sink = new ListSink();
-                            access.save(sink);
-                            files.add(new File(path.getTextual(), new ListSource(sink.getOut())));
-                            responseCallback.process(new Response(true, "", files));
-                        }
-                    });
-                    return;
-                }
-                if (request instanceof InfoRequest) {
-                    instance.findInfo(path, new Future<FramsClass>() {
-                        @Override
-                        public void result(FramsClass result, Exception e) {
-                            if (result == null) {
-                                responseCallback.process(new Response(false, "\"info not found\"", null));
-                                return;
-                            }
-                            ListSink sink = new ListSink();
-                            Savers.saveFramsClass(sink, result);
-                            List<File> files = new ArrayList<File>();
-                            files.add(new File(path.getTextual(), new ListSource(sink.getOut())));
-                            responseCallback.process(new Response(true, null, files));
-                        }
-                    });
-                    return;
-                }
-                responseCallback.process(new Response(false, "invalid", null));
-            }
-        });
+								responseCallback.process(new Response(false, "\"failed to bind access\"", null));
+								return;
+							}
+							ListSink sink = new ListSink();
+							access.save(sink);
+							files.add(new File(path.getTextual(), new ListSource(sink.getOut())));
+							responseCallback.process(new Response(true, "", files));
+						}
+					});
+					return;
+				}
+				if (request instanceof InfoRequest) {
+					instance.findInfo(path, new Future<FramsClass>() {
+						@Override
+						public void result(FramsClass result, Exception e) {
+							if (result == null) {
+								responseCallback.process(new Response(false, "\"info not found\"", null));
+								return;
+							}
+							ListSink sink = new ListSink();
+							Savers.saveFramsClass(sink, result);
+							List<File> files = new ArrayList<File>();
+							files.add(new File(path.getTextual(), new ListSource(sink.getOut())));
+							responseCallback.process(new Response(true, null, files));
+						}
+					});
+					return;
+				}
+				responseCallback.process(new Response(false, "invalid", null));
+			}
+		});
 
-    }
+	}
 }
Index: java/main/src/main/java/com/framsticks/hosting/ServerInstance.java
===================================================================
--- java/main/src/main/java/com/framsticks/hosting/ServerInstance.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/hosting/ServerInstance.java	(revision 84)
@@ -2,9 +2,11 @@
 
 import com.framsticks.core.*;
+import com.framsticks.params.CompositeParam;
 import com.framsticks.params.FramsClass;
 import com.framsticks.params.ParamBuilder;
-import com.framsticks.params.types.CompositeParam;
 import com.framsticks.core.LocalInstance;
-import com.framsticks.util.Future;
+import com.framsticks.util.dispatching.Future;
+
+import org.apache.commons.configuration.Configuration;
 import org.apache.log4j.Logger;
 
@@ -14,73 +16,73 @@
 public class ServerInstance extends LocalInstance {
 
-    private final static Logger LOGGER = Logger.getLogger(ServerInstance.class.getName());
+	private final static Logger log = Logger.getLogger(ServerInstance.class.getName());
 
-    Entity hosted;
+	Entity hosted;
 
-    public ServerInstance(Parameters parameters) {
-        super(parameters);
-    }
+	public ServerInstance() {
+	}
 
-    @Override
-    protected void run() {
-        super.run();
-        assert hosted != null;
-        hosted.start();
-    }
+	@Override
+	protected void run() {
+		super.run();
+		assert hosted != null;
+		hosted.start();
+	}
 
-    @Override
-    protected void configure() throws Exception {
-        super.configure();
+	@Override
+	public void configure(Configuration config) {
+		super.configure(config);
 
-        Parameters p = new Parameters(config.subset("hosted.entity"), "hosted", this, null);
-        hosted = Program.configureEntity(p);
-        if (hosted == null) {
-            LOGGER.fatal("failed to create hosted entity");
-            return;
-        }
-        hosted.configurePublic();
-        root = new Node((CompositeParam)new ParamBuilder().setName("root").setId("root").setType("o" + hosted.getClass().getCanonicalName()).build(), hosted);
-    }
+		Configuration hostedConfig = config.subset("hosted.entity");
+		hosted = Program.configureEntity(hostedConfig);
+		if (hosted == null) {
+			log.fatal("failed to create hosted entity");
+			return;
+		}
+		hosted.setName("hosted");
+		hosted.configure(hostedConfig);
+		root = new Node((CompositeParam)new ParamBuilder().setName("root").setId("root").setType("o" + hosted.getClass().getCanonicalName()).build(), hosted);
+	}
 
-    @Override
-    public FramsClass getInfoFromCache(String id) {
-        assert isActive();
-        if (id == null) {
-            return null;
-        }
+	@Override
+	public FramsClass getInfoFromCache(String id) {
+		assert isActive();
+		if (id == null) {
+			return null;
+		}
 		FramsClass cached = registry.getInfoFromCache(id);
-        if (cached != null) {
+		if (cached != null) {
 			return cached;
-        }
-        try {
-            Class nativeClass = Class.forName(id);
-            FramsClass framsClass = new FramsClass.Constructor(nativeClass, id).getResult();
+		}
+		try {
+			Class<?> nativeClass = Class.forName(id);
+			FramsClass framsClass = new FramsClass.Constructor(nativeClass, id).getResult();
 
-            registry.registerReflectedClass(null, id, nativeClass);
-            registry.putInfoIntoCache(framsClass);
-            return framsClass;
-        } catch (ClassNotFoundException ignored) {
-        }
+			registry.registerReflectedClass(null, id, nativeClass);
+			registry.putInfoIntoCache(framsClass);
+			return framsClass;
+		} catch (ClassNotFoundException ignored) {
+		}
 
-        return null;
-    }
+		return null;
+	}
 
-    @Override
-    protected void fetchInfo(Path path, Future<FramsClass> future) {
-        assert isActive();
+	@Override
+	protected void fetchInfo(Path path, Future<FramsClass> future) {
+		assert isActive();
 
-        FramsClass framsClass = getInfoFromCache(path.getTop().getObject().getClass().getCanonicalName());
-        if (framsClass == null) {
-            LOGGER.error("failed to create frams class for: " + path.getTop().getObject().getClass());
-            future.result(null, new Exception());
-            return;
-        }
-        future.result(framsClass, null);
+		FramsClass framsClass = getInfoFromCache(path.getTop().getObject().getClass().getCanonicalName());
+		if (framsClass == null) {
+			log.error("failed to create frams class for: " + path.getTop().getObject().getClass());
+			future.result(null, new Exception());
+			return;
+		}
+		future.result(framsClass, null);
 
-    }
+	}
 
-    @Override
-    protected void tryRegisterOnChangeEvents(Path path) {
-    }
+	@Override
+	protected void tryRegisterOnChangeEvents(Path path) {
+	}
 
 }
Index: java/main/src/main/java/com/framsticks/leftovers/FavouritesXMLFactory.java
===================================================================
--- java/main/src/main/java/com/framsticks/leftovers/FavouritesXMLFactory.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/leftovers/FavouritesXMLFactory.java	(revision 84)
@@ -29,5 +29,5 @@
 	/**
 	 * Writes favourites nodes and fields list to XML file.
-	 * 
+	 *
 	 * @param path
 	 *            Path of XML file.
@@ -89,5 +89,5 @@
 	/**
 	 * Reads user favourites nodes and fields from XML file.
-	 * 
+	 *
 	 * @param filePath
 	 *            PAth to XML file.
@@ -117,5 +117,5 @@
 						if (itemDetails.item(0).getNodeName().equals(pathMark)
 								&& itemDetails.item(1).getNodeName().equals(nameMark)
-								&& (itemDetails.item(2).getNodeName().equals(fieldMark) 
+								&& (itemDetails.item(2).getNodeName().equals(fieldMark)
 										|| itemDetails.item(2).getNodeName().equals(typeMark))) {
 							path = itemDetails.item(0).getTextContent();
@@ -128,5 +128,5 @@
 							}else{
 								try {
-									int nodeTypeId = Integer.parseInt(itemDetails.item(2).getTextContent());
+									// int nodeTypeId = Integer.parseInt(itemDetails.item(2).getTextContent());
 									userNode = new UserFavourite(path, name, null);
 									result.put(path, userNode);
@@ -147,5 +147,5 @@
 	/**
 	 * Writes column configuration to XML file.
-	 * 
+	 *
 	 * @param path
 	 *            Path to XML file.
@@ -206,5 +206,5 @@
 	/**
 	 * Reads column configuration from XML file.
-	 * 
+	 *
 	 * @param path
 	 *            Path to XML file.
Index: java/main/src/main/java/com/framsticks/leftovers/f0/NeuroClass.java
===================================================================
--- java/main/src/main/java/com/framsticks/leftovers/f0/NeuroClass.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/leftovers/f0/NeuroClass.java	(revision 84)
@@ -4,4 +4,5 @@
 
 import com.framsticks.params.FramsClass;
+import com.framsticks.params.Param;
 
 /**
@@ -14,20 +15,32 @@
 	*/
 
-	/** The symbol glymph. */
+	/**
+	 * The symbol glymph.
+	 */
 	private int[] symbolGlymph;
-	
-	/** The pref inputs. */
+
+	/**
+	 * The pref inputs.
+	 */
 	private int prefInputs;
-	
-	/** The pref output. */
+
+	/**
+	 * The pref output.
+	 */
 	private int prefOutput;
-	
-	/** The pref location. */
+
+	/**
+	 * The pref location.
+	 */
 	private int prefLocation;
-	
-	/** The param entry list. */
+
+	/**
+	 * The param entry list.
+	 */
 	private FramsClass framsClass;
-	
-	/** The visual hints. */
+
+	/**
+	 * The visual hints.
+	 */
 	private int visualHints;
 
@@ -53,14 +66,14 @@
 	 * Instantiates a new neuro class.
 	 *
-	 * @param framsClass the param entry list
-	 * @param prefInputs the pref inputs
-	 * @param prefOutput the pref output
+	 * @param framsClass   the param entry list
+	 * @param prefInputs   the pref inputs
+	 * @param prefOutput   the pref output
 	 * @param prefLocation the pref location
-	 * @param visualHints the visual hints
+	 * @param visualHints  the visual hints
 	 * @param symbolGlymph the symbol glymph
 	 */
 	public NeuroClass(FramsClass framsClass, int prefInputs,
-			int prefOutput, int prefLocation, int visualHints,
-			int[] symbolGlymph) {
+					  int prefOutput, int prefLocation, int visualHints,
+					  int[] symbolGlymph) {
 		super();
 		this.framsClass = framsClass;
@@ -113,8 +126,8 @@
 	 *
 	 * @return 0 if the object doesn't need any assignment to the body element.
-	 * 1 = it likes to be attached to the Part ( @see
-	 * Neuro::attachToPart() )
-	 * 2 = the object prefers to have the Joint ( @see
-	 * Neuro::attachToJoint() )
+	 *         1 = it likes to be attached to the Part ( @see
+	 *         Neuro::attachToPart() )
+	 *         2 = the object prefers to have the Joint ( @see
+	 *         Neuro::attachToJoint() )
 	 */
 	int getPreferredLocation() {
@@ -170,15 +183,18 @@
 	public String toString() {
 		StringBuilder sb = new StringBuilder();
-		sb.append("NeuroClass [getId=" + framsClass.getId() + ", getName="
-				+ framsClass.getName() + ", description="
-				+ framsClass.getDescription() + ", groups#="
-				+ framsClass.getGroupCount() + ", prefInputs=" + prefInputs
-				+ ", prefOutput=" + prefOutput + ", prefLocation="
-				+ prefLocation + ", visualHints=" + visualHints
-				+ ", symbolGlymph=" + Arrays.toString(symbolGlymph)
-				+ ", paramList={");
+		sb.append("NeuroClass [getId=").append(framsClass.getId())
+				.append(", getName=").append(framsClass.getName())
+				.append(", description=").append(framsClass.getDescription())
+				.append(", groups#=").append(framsClass.getGroupCount())
+				.append(", prefInputs=").append(prefInputs)
+				.append(", prefOutput=").append(prefOutput)
+				.append(", prefLocation=").append(prefLocation)
+				.append(", visualHints=").append(visualHints)
+				.append(", symbolGlymph=").append(Arrays.toString(symbolGlymph));
+
+		sb.append(", paramList={");
 		for (int i = 0; i < framsClass.getParamCount(); i++) {
 			sb.append("\n");
-			sb.append(framsClass.getParamEntry(i).toString());
+			sb.append(framsClass.getParamEntry(i, Param.class).toString());
 		}
 		sb.append("\n}]");
Index: java/main/src/main/java/com/framsticks/model/BaseJoint.java
===================================================================
--- java/main/src/main/java/com/framsticks/model/BaseJoint.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/model/BaseJoint.java	(revision 84)
@@ -1,5 +1,5 @@
 package com.framsticks.model;
 
-import com.framsticks.util.Point3d;
+import com.framsticks.util.math.Point3d;
 
 /**
Index: java/main/src/main/java/com/framsticks/model/BasePart.java
===================================================================
--- java/main/src/main/java/com/framsticks/model/BasePart.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/model/BasePart.java	(revision 84)
@@ -1,6 +1,6 @@
 package com.framsticks.model;
 
-import com.framsticks.util.Orientation;
-import com.framsticks.util.Point3d;
+import com.framsticks.util.math.Orientation;
+import com.framsticks.util.math.Point3d;
 
 /**
Index: java/main/src/main/java/com/framsticks/model/Creature.java
===================================================================
--- java/main/src/main/java/com/framsticks/model/Creature.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/model/Creature.java	(revision 84)
@@ -2,6 +2,5 @@
 
 import com.framsticks.params.FramsClass;
-import com.framsticks.util.Orientation;
-import com.framsticks.util.Point3d;
+import com.framsticks.util.math.Point3d;
 
 import java.util.ArrayList;
Index: java/main/src/main/java/com/framsticks/model/Genotype.java
===================================================================
--- java/main/src/main/java/com/framsticks/model/Genotype.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/model/Genotype.java	(revision 84)
@@ -2,8 +2,8 @@
 
 
-import org.apache.log4j.Logger;
+// import org.apache.log4j.Logger;
 
 public class Genotype extends Model {
-	private final static Logger LOGGER = Logger.getLogger(Genotype.class);
+	// private final static Logger log = Logger.getLogger(Genotype.class);
 
 	public String name;
Index: java/main/src/main/java/com/framsticks/model/Joint.java
===================================================================
--- java/main/src/main/java/com/framsticks/model/Joint.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/model/Joint.java	(revision 84)
@@ -1,5 +1,3 @@
 package com.framsticks.model;
-
-import com.framsticks.util.Point3d;
 
 /**
Index: java/main/src/main/java/com/framsticks/model/MechJoint.java
===================================================================
--- java/main/src/main/java/com/framsticks/model/MechJoint.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/model/MechJoint.java	(revision 84)
@@ -1,5 +1,3 @@
 package com.framsticks.model;
-
-import com.framsticks.util.Point3d;
 
 /**
Index: java/main/src/main/java/com/framsticks/model/MechPart.java
===================================================================
--- java/main/src/main/java/com/framsticks/model/MechPart.java	(revision 79)
+++ java/main/src/main/java/com/framsticks/model/MechPart.java	(revision 84)
@@ -1,6 +1,5 @@
 package com.framsticks.model;
 
-import com.framsticks.util.Orientation;
-import com.framsticks.util.Point3d;
+import com.framsticks.util.math.Point3d;
 
 /*
